<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.meeting.mapper.MeetingInfoMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.meeting.domain.MeetingInfo">
        <id column="meeting_id" property="meetingId" />
        <result column="meeting_name" property="meetingName" />
        <result column="room_id" property="roomId" />
        <result column="room_name" property="roomName" />
        <result column="meeting_describe" property="meetingDescribe" />
        <result column="meeting_type" property="meetingType" />
        <result column="dept_id" property="deptId" />
        <result column="initiator_id" property="initiatorId" />
        <result column="start_date" property="startDate" />
        <result column="end_date" property="endDate" />
        <result column="approve_status" property="approveStatus" />
        <result column="approve_suggest" property="approveSuggest" />
        <result column="actual_count" property="actualCount" />
        <result column="plan_count" property="planCount" />
        <result column="is_delay" property="isDelay" />
        <result column="remark" property="remark" />
        <result column="meeting_status" property="meetingStatus" />
        <result column="create_by" property="createBy" />
        <result column="update_by" property="updateBy" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
        <result column="task_id" property="taskId" />
        <result column="proc_inst_id" property="procInstId" />
        <result column="is_cancel" property="isCancel" />
        <result column="send_type" property="sendType" />
        <result column="meeting_prop" property="meetingProp" />
        <result column="is_approve" property="isApprove" />
        <result column="gc_assign_user" property="gcAssignUser" />
        <result column="meeting_mode" property="meetingMode" />
        <result column="tenant_id" property="tenantId" />
    </resultMap>

</mapper>
